الأداة: read_presentation
قراءة تمثيل JSON لعرض تقديمي في "العروض التقديمية من Google"
يتوافق مع presentations.get في REST API.
يوضّح المثال التالي كيفية استخدام curl لاستدعاء أداة read_presentation MCP.
| طلب Curl |
|---|
curl --location 'https://slidesmcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "read_presentation", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
مخطط الإدخال
طلب قراءة عرض تقديمي
ReadPresentationRequest
| تمثيل JSON |
|---|
{ "presentationId": string } |
| الحقول | |
|---|---|
presentationId |
الحقل مطلوب. معرّف العرض التقديمي الذي سيتم قراءة المحتوى منه |
مخطط النتائج
استجابة تحتوي على تمثيل JSON للعرض التقديمي
ReadPresentationResponse
| تمثيل JSON |
|---|
{ "content": string } |
| الحقول | |
|---|---|
content |
تمثيل JSON لعرض تقديمي في "العروض التقديمية من Google" |
تعليقات توضيحية للأدوات
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ✅